
From: Pekka Enberg <penberg@cs.helsinki.fi>

This patch converts kcalloc(1, ...) calls to use the new kzalloc() function.

Signed-off-by: Pekka Enberg <penberg@cs.helsinki.fi>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/aoe/aoedev.c       |    2 +-
 drivers/char/mbcs.c              |    2 +-
 drivers/i2c/chips/isp1301_omap.c |    2 +-
 drivers/infiniband/core/sysfs.c  |    2 +-
 drivers/scsi/sata_qstor.c        |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/block/aoe/aoedev.c~drivers-convert-kcalloc-to-kzalloc drivers/block/aoe/aoedev.c
--- devel/drivers/block/aoe/aoedev.c~drivers-convert-kcalloc-to-kzalloc	2005-08-30 18:42:06.000000000 -0700
+++ devel-akpm/drivers/block/aoe/aoedev.c	2005-08-30 18:42:06.000000000 -0700
@@ -35,7 +35,7 @@ aoedev_newdev(ulong nframes)
 	struct aoedev *d;
 	struct frame *f, *e;
 
-	d = kcalloc(1, sizeof *d, GFP_ATOMIC);
+	d = kzalloc(sizeof *d, GFP_ATOMIC);
 	if (d == NULL)
 		return NULL;
 	f = kcalloc(nframes, sizeof *f, GFP_ATOMIC);
diff -puN drivers/char/mbcs.c~drivers-convert-kcalloc-to-kzalloc drivers/char/mbcs.c
--- devel/drivers/char/mbcs.c~drivers-convert-kcalloc-to-kzalloc	2005-08-30 18:42:06.000000000 -0700
+++ devel-akpm/drivers/char/mbcs.c	2005-08-30 18:42:06.000000000 -0700
@@ -750,7 +750,7 @@ static int mbcs_probe(struct cx_dev *dev
 
 	dev->soft = NULL;
 
-	soft = kcalloc(1, sizeof(struct mbcs_soft), GFP_KERNEL);
+	soft = kzalloc(sizeof(struct mbcs_soft), GFP_KERNEL);
 	if (soft == NULL)
 		return -ENOMEM;
 
diff -puN drivers/i2c/chips/isp1301_omap.c~drivers-convert-kcalloc-to-kzalloc drivers/i2c/chips/isp1301_omap.c
--- devel/drivers/i2c/chips/isp1301_omap.c~drivers-convert-kcalloc-to-kzalloc	2005-08-30 18:42:06.000000000 -0700
+++ devel-akpm/drivers/i2c/chips/isp1301_omap.c	2005-08-30 18:42:06.000000000 -0700
@@ -1489,7 +1489,7 @@ static int isp1301_probe(struct i2c_adap
 	if (the_transceiver)
 		return 0;
 
-	isp = kcalloc(1, sizeof *isp, GFP_KERNEL);
+	isp = kzalloc(sizeof *isp, GFP_KERNEL);
 	if (!isp)
 		return 0;
 
diff -puN drivers/infiniband/core/sysfs.c~drivers-convert-kcalloc-to-kzalloc drivers/infiniband/core/sysfs.c
--- devel/drivers/infiniband/core/sysfs.c~drivers-convert-kcalloc-to-kzalloc	2005-08-30 18:42:06.000000000 -0700
+++ devel-akpm/drivers/infiniband/core/sysfs.c	2005-08-30 18:42:06.000000000 -0700
@@ -463,7 +463,7 @@ alloc_group_attrs(ssize_t (*show)(struct
 		return NULL;
 
 	for (i = 0; i < len; i++) {
-		element = kcalloc(1, sizeof(struct port_table_attribute),
+		element = kzalloc(sizeof(struct port_table_attribute),
 				  GFP_KERNEL);
 		if (!element)
 			goto err;
diff -puN drivers/scsi/sata_qstor.c~drivers-convert-kcalloc-to-kzalloc drivers/scsi/sata_qstor.c
--- devel/drivers/scsi/sata_qstor.c~drivers-convert-kcalloc-to-kzalloc	2005-08-30 18:42:06.000000000 -0700
+++ devel-akpm/drivers/scsi/sata_qstor.c	2005-08-30 18:42:06.000000000 -0700
@@ -494,7 +494,7 @@ static int qs_port_start(struct ata_port
 	if (rc)
 		return rc;
 	qs_enter_reg_mode(ap);
-	pp = kcalloc(1, sizeof(*pp), GFP_KERNEL);
+	pp = kzalloc(sizeof(*pp), GFP_KERNEL);
 	if (!pp) {
 		rc = -ENOMEM;
 		goto err_out;
_
